#!/bin/sh
echo 'name: reactive
version: 0.11.5
id: reactive-0.11.5-ef3d0e338f0773bea8d69aa1acf408fe

license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/reactive-0.11.5
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/reactive-0.11.5
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.4.0.1-a8d08ef439b8098c973a472e8b62e755
         Stream-0.4.2-f829a664002d28020c3160bb9e45dde6
         TypeCompose-0.8.3-79acc6763c89d29c152f24f8b13be411
         base-4.3.1.0-63fd52d9e7e39016c91be0baf3543757
         categories-0.58.0.5-75222bcaf1c83079739dbc47e42ce3e2
         checkers-0.2.8-7c79913d437bd4f5d511aad6d38417ef
         comonad-1.1.1-66afba92753708217bf178f5c217a94d
         old-time-1.0.0.6-64e7d46ef71d3ea7f6d3a651bbb2bcca
         pointed-2.0-6a84bfa7580508c748d5381d28c4ffda
         random-1.0.0.3-15ae8b1458485ee9647f74174e442c33
         semigroups-0.7.1-4f54937cf14316545e60a6502d5bfd8c
         unamb-0.2.4-7961c5eb5605a2df7a2d6b2adf7768c8
         vector-space-0.7.3-713a38753f42d13b4353e2eab59d7803
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/reactive-0.11.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
